package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsContractRef;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface PmsContractRefMapper {
    /**
     * 查询合同参考文件列表
     */
    List<PmsContractRef> selectList(PmsContractRef contractRef);

    /**
     * 根据主键查询合同参考文件
     */
    PmsContractRef selectById(Long id);

    /**
     * 新增合同参考文件
     */
    int insert(PmsContractRef contractRef);

    /**
     * 修改合同参考文件
     */
    int update(PmsContractRef contractRef);

    /**
     * 删除合同参考文件
     */
    int deleteById(Long id);

    /**
     * 批量删除合同参考文件
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据合同ID查询合同参考文件列表
     */
    List<PmsContractRef> selectByConId(Long conId);
}
